Update a document
curl --request PUT \
--url https://api.starleads.co/Dataset/{datasetId}/document/{documentId} \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <api-key>' \
--data '
{
"name": "renamed-file.pdf",
"chunkMethod": "manual",
"parserConfig": {
"chunkTokenNum": 128
},
"enabled": 1
}
'import requests
url = "https://api.starleads.co/Dataset/{datasetId}/document/{documentId}"
payload = {
"name": "renamed-file.pdf",
"chunkMethod": "manual",
"parserConfig": { "chunkTokenNum": 128 },
"enabled": 1
}
headers = {
"X-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'renamed-file.pdf',
chunkMethod: 'manual',
parserConfig: {chunkTokenNum: 128},
enabled: 1
})
};
fetch('https://api.starleads.co/Dataset/{datasetId}/document/{documentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"size": 123,
"status": "<string>",
"chunkMethod": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}Document
Update a document
Updates document metadata such as name, chunking method, parser configuration, and enabled status.
PUT
/
Dataset
/
{datasetId}
/
document
/
{documentId}
Update a document
Authorizations
Headers
Api key to pass as a X-Api-Key request header.
Path Parameters
ID of the dataset.
ID of the document.
Body
application/json
Response
Document updated successfully
⌘I

